For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
      • POSTChat
      • GETModels
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
ChatAPI Reference

Models

GET
https://api.reka.ai/v1/models
GET
/v1/models
$curl https://api.reka.ai/v1/models \
> -H "X-Api-Key: <apiKey>"
200Retrieved
1[
2 {
3 "id": "reka-flash"
4 },
5 {
6 "id": "reka-edge"
7 }
8]
List models available to the user.
Was this page helpful?
Previous

Vision API

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Response

Successful Response
idstring